package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain_yada.ThematicMapDomain;
import com.ruoyi.system.service_yada.ThematicMapService;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 中国城市监测
 * @Author: JinSheng Song
 * @Date: 2022/5/11 10:55
 */
@RestController
@RequestMapping(value = "/thematic-map")
public class ThematicMapController {

    @Resource
    private ThematicMapService thematicMapService;

    /**
     * 查询方法
     * @param response
     * @param request
     * @return
     */
    @RequestMapping(value = "/get/all",method = {RequestMethod.GET})
    public AjaxResult selectAllThematicMap(HttpServletResponse response, HttpServletRequest request)
    {
        List<ThematicMapDomain> res= thematicMapService.selectAll();
        return AjaxResult.success(res);
    }

    /**
     * 删除方法
     * @param id
     * @return
     */
    @RequestMapping(value = "/delete",method = {RequestMethod.DELETE})
    public AjaxResult deleteThematicMap(@Param("id") Long id)
    {
        int num = thematicMapService.deleteById(id);
        if (num>0) {
            return AjaxResult.success();
        }
        return  AjaxResult.error();
    }

    /**
     * 新增方法
     * @param thematicMapDomain
     * @return
     */
    @RequestMapping(value = "/add",method = {RequestMethod.POST})
    public AjaxResult saveThematicMap(ThematicMapDomain thematicMapDomain)
    {
        int num = thematicMapService.save(thematicMapDomain);
        if (num>0) {
            return AjaxResult.success();
        }
        return AjaxResult.error();
    }
}
